Bug 20602 - xml-mode not autoloaded in psgml-init.el
Summary: xml-mode not autoloaded in psgml-init.el
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psgml   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-09 19:20 UTC by Dan Rosen
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 15:43:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Rosen 2000-11-09 19:20:22 UTC
the file:

  /usr/share/emacs/site-lisp/psgml-init.el

has a line:

  (autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)

but the psgml package also provides xml-mode, which is not currently
accessible (in the psgml-1.2.1-8 package). fix this by adding the line:

  (autoload 'xml-mode "psgml" "Major mode for editing XML." t)

Comment 1 Tim Waugh 2000-11-13 16:26:40 UTC
Fixed psgml-1.2.1-10 in rawhide.



Note You need to log in before you can comment on or make changes to this bug.